package com.fs.user.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.user.domain.FsUserComplaint;
import com.fs.user.domain.param.FsUserComplaintParam;
import com.fs.user.domain.vo.FsUserComplaintVo;

/**
 * 用户投诉Mapper接口
 *
 * @author fs
 * @date 2025-08-27
 */
public interface FsUserComplaintMapper extends BaseMapper<FsUserComplaint>{
    /**
     * 查询用户投诉
     *
     * @param id 用户投诉主键
     * @return 用户投诉
     */
    FsUserComplaintVo selectFsUserComplaintVoById(Long id);

    FsUserComplaint selectFsUserComplaintById(Long id);

    /**
     * 查询用户投诉列表
     *
     * @param fsUserComplaint 用户投诉
     * @return 用户投诉集合
     */
    List<FsUserComplaint> selectFsUserComplaintList(FsUserComplaint fsUserComplaint);
    List<FsUserComplaintVo> selectFsUserComplaintVoList(FsUserComplaintParam param);

    /**
     * 新增用户投诉
     *
     * @param fsUserComplaint 用户投诉
     * @return 结果
     */
    int insertFsUserComplaint(FsUserComplaint fsUserComplaint);

    /**
     * 修改用户投诉
     *
     * @param fsUserComplaint 用户投诉
     * @return 结果
     */
    int updateFsUserComplaint(FsUserComplaint fsUserComplaint);

    /**
     * 删除用户投诉
     *
     * @param id 用户投诉主键
     * @return 结果
     */
    int deleteFsUserComplaintById(Long id);

    /**
     * 批量删除用户投诉
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsUserComplaintByIds(Long[] ids);
}
